# PDO::pgsqlCopyFromFile

(PHP 5 >= 5.3.3, PHP 7, PHP 8)

PDO::pgsqlCopyFromFile — Copiar datos de un fichero a una tabla

### Descripción

public PDO::pgsqlCopyFromFile(
string `$table_name`,
string `$filename`,
string `$delimiter` = '\t',
string `$null_as` = "\\\\N",
string `$fields` = ?
): bool

Copia los datos del fichero especificado por `filename` a la tabla `table_name` empleando `delimiter` como delimitador de campos y la lista de campos `fields`

### Parámetros

`table_name`

  Una cadena que contiene el nombre de la tabla

`filename`

  El nombre del fichero que contiene los datos a importar

`delimiter`

  El delimitador empleado en el fichero especificado por `filename`

`null_as`

  Cómo interpretar valores nulos

`fields`

  El listado de campos a insertar

### Valores devueltos

Devuelve `true` en caso de éxito, o `false` en caso de error.